Bug 252148 - audio/gsm: Update to 1.0.19 & Adopt Port
Summary: audio/gsm: Update to 1.0.19 & Adopt Port
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Neel Chauhan
URL: https://reviews.freebsd.org/D28013
Keywords:
Depends on:
Blocks:
 
Reported: 2020-12-26 02:30 UTC by Neel Chauhan
Modified: 2021-02-07 23:41 UTC (History)
3 users (show)

See Also:


Attachments
Patch (Revision 1) (5.56 KB, patch)
2020-12-26 02:30 UTC, Neel Chauhan
no flags Details | Diff
Patch (Revision 2) (5.58 KB, patch)
2020-12-27 01:50 UTC, Neel Chauhan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Neel Chauhan freebsd_committer 2020-12-26 02:30:29 UTC
Created attachment 220930 [details]
Patch (Revision 1)

Passes poudriere.
Comment 1 daniel.engberg.lists 2020-12-26 03:03:34 UTC
PORTVERSION --> DISTVERSION
https://www.freebsd.org/doc/en/books/porters-handbook/book.html --> "Table 5.2. Package Naming Examples"

MASTER_SITES --> http://www.quut.com/gsm/ only (no direct links distfile sites), you can possibly also use GENTOO alias
https://svnweb.freebsd.org/ports/head/Mk/bsd.sites.mk

If you're changing CFLAGS, disable any optimation as ports framework is supposed to handle that. (remove -O2)
https://www.freebsd.org/doc/en/books/porters-handbook/book.html#dads-cflags

Best regards,
Daniel
Comment 2 Neel Chauhan freebsd_committer 2020-12-27 01:50:06 UTC
Created attachment 220972 [details]
Patch (Revision 2)

Thanks for the pointers. Here's an updated port
Comment 3 Fernando Apesteguía freebsd_committer 2020-12-28 13:29:57 UTC
None of the gentoo mirrors seem to work.

===>   gsm-1.0.19 depends on file: /usr/local/sbin/pkg - found
=> gsm-1.0.19.tar.gz doesn't seem to exist in /data/fernape_data/FreeBSD-repos/ports/head/distfiles/.
=> Attempting to fetch http://gentoo.mirrors.pair.com/distfiles/gsm-1.0.19.tar.gz
fetch: http://gentoo.mirrors.pair.com/distfiles/gsm-1.0.19.tar.gz: Operation timed out
=> Attempting to fetch http://mirrors.tds.net/pub/gentoo/distfiles/gsm-1.0.19.tar.gz
fetch: http://mirrors.tds.net/pub/gentoo/distfiles/gsm-1.0.19.tar.gz: Not Found
=> Attempting to fetch ftp://ftp.mirrorservice.org/sites/www.ibiblio.org/gentoo/distfiles/gsm-1.0.19.tar.gz
fetch: ftp://ftp.mirrorservice.org/sites/www.ibiblio.org/gentoo/distfiles/gsm-1.0.19.tar.gz: File unavailable (e.g., file not found, no access)
=> Attempting to fetch http://ftp.snt.utwente.nl/pub/os/linux/gentoo/distfiles/gsm-1.0.19.tar.gz
fetch: http://ftp.snt.utwente.nl/pub/os/linux/gentoo/distfiles/gsm-1.0.19.tar.gz: Not Found
=> Attempting to fetch http://trumpetti.atm.tut.fi/gentoo/distfiles/gsm-1.0.19.tar.gz
fetch: http://trumpetti.atm.tut.fi/gentoo/distfiles/gsm-1.0.19.tar.gz: Not Found
=> Attempting to fetch https://ftp.uni-erlangen.de/pub/mirrors/gentoo/distfiles/gsm-1.0.19.tar.gz
fetch: https://ftp.uni-erlangen.de/pub/mirrors/gentoo/distfiles/gsm-1.0.19.tar.gz: Not Found
=> Attempting to fetch http://gentoo.inode.at/distfiles/gsm-1.0.19.tar.gz
fetch: http://gentoo.inode.at/distfiles/gsm-1.0.19.tar.gz: Not Found
=> Attempting to fetch http://gentoo.gg3.net/distfiles/gsm-1.0.19.tar.gz
fetch: http://gentoo.gg3.net/distfiles/gsm-1.0.19.tar.gz: size mismatch: expected 64665, actual 7940
=> Attempting to fetch http://mirrors.163.com/gentoo/distfiles/gsm-1.0.19.tar.gz
fetch: http://mirrors.163.com/gentoo/distfiles/gsm-1.0.19.tar.gz: Not Found
=> Attempting to fetch ftp://ftp.gtlib.gatech.edu/pub/gentoo/distfiles/gsm-1.0.19.tar.gz
fetch: ftp://ftp.gtlib.gatech.edu/pub/gentoo/distfiles/gsm-1.0.19.tar.gz: File unavailable (e.g., file not found, no access)
=> Attempting to fetch ftp://ftp.ussg.iu.edu/pub/linux/gentoo/distfiles/gsm-1.0.19.tar.gz
fetch: ftp://ftp.ussg.iu.edu/pub/linux/gentoo/distfiles/gsm-1.0.19.tar.gz: File unavailable (e.g., file not found, no access)
=> Attempting to fetch ftp://mirrors.tds.net/pub/gentoo/distfiles/gsm-1.0.19.tar.gz
fetch: ftp://mirrors.tds.net/pub/gentoo/distfiles/gsm-1.0.19.tar.gz: File unavailable (e.g., file not found, no access)
=> Attempting to fetch ftp://ftp.belnet.be/mirror/rsync.gentoo.org/gentoo/distfiles/gsm-1.0.19.tar.gz
fetch: ftp://ftp.belnet.be/mirror/rsync.gentoo.org/gentoo/distfiles/gsm-1.0.19.tar.gz: File unavailable (e.g., file not found, no access)
=> Attempting to fetch ftp://ftp.snt.utwente.nl/pub/os/linux/gentoo/distfiles/gsm-1.0.19.tar.gz
fetch: ftp://ftp.snt.utwente.nl/pub/os/linux/gentoo/distfiles/gsm-1.0.19.tar.gz: File unavailable (e.g., file not found, no access)
=> Attempting to fetch ftp://trumpetti.atm.tut.fi/gentoo/distfiles/gsm-1.0.19.tar.gz
fetch: ftp://trumpetti.atm.tut.fi/gentoo/distfiles/gsm-1.0.19.tar.gz: Operation timed out
=> Attempting to fetch ftp://ftp.tu-clausthal.de/pub/linux/gentoo/distfiles/gsm-1.0.19.tar.gz
fetch: ftp://ftp.tu-clausthal.de/pub/linux/gentoo/distfiles/gsm-1.0.19.tar.gz: File unavailable (e.g., file not found, no access)
=> Attempting to fetch ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gentoo/distfiles/gsm-1.0.19.tar.gz
fetch: ftp://sunsite.informatik.rwth-aachen.de/pub/Linux/gentoo/distfiles/gsm-1.0.19.tar.gz: File unavailable (e.g., file not found, no access)
=> Attempting to fetch ftp://linux.rz.ruhr-uni-bochum.de/gentoo-mirror/distfiles/gsm-1.0.19.tar.gz
fetch: ftp://linux.rz.ruhr-uni-bochum.de/gentoo-mirror/distfiles/gsm-1.0.19.tar.gz: File unavailable (e.g., file not found, no access)
=> Attempting to fetch ftp://ftp.uni-erlangen.de/pub/mirrors/gentoo/distfiles/gsm-1.0.19.tar.gz
fetch: ftp://ftp.uni-erlangen.de/pub/mirrors/gentoo/distfiles/gsm-1.0.19.tar.gz: File unavailable (e.g., file not found, no access)
=> Attempting to fetch ftp://gentoo.inode.at/source/distfiles/gsm-1.0.19.tar.gz
fetch: ftp://gentoo.inode.at/source/distfiles/gsm-1.0.19.tar.gz: File unavailable (e.g., file not found, no access)
=> Attempting to fetch http://www.quut.com/gsm/gsm-1.0.19.tar.gz
gsm-1.0.19.tar.gz                                       63 kB  255 kBps    00s
===> Fetching all distfiles required by gsm-1.0.19 for building
 
http://www.quut.com should be first in MASTER_SITES and/or GENTOO removed completely.
Comment 4 Fernando Apesteguía freebsd_committer 2021-01-05 13:14:19 UTC
Welcome Neel to the ranks of ports committers!

^Triage: Reporter is committer, assign accordingly :-)
Comment 5 Neel Chauhan freebsd_committer 2021-01-06 23:47:10 UTC
New Phabricator URL: https://reviews.freebsd.org/D28013
Comment 6 commit-hook freebsd_committer 2021-01-07 16:33:05 UTC
A commit references this bug:

Author: nc
Date: Thu Jan  7 16:32:11 UTC 2021
New revision: 560722
URL: https://svnweb.freebsd.org/changeset/ports/560722

Log:
  audio/gsm: Update to 1.0.19 and adopt port

  While we're here:

   - Remove dead MASTER_SITES

  PR:			252148
  Reviewed by:		0mp (mentor)
  Approved by:		0mp (mentor)
  Differential Revision:	https://reviews.freebsd.org/D28013

Changes:
  head/audio/gsm/Makefile
  head/audio/gsm/distinfo
  head/audio/gsm/files/patch-Makefile
  head/audio/gsm/files/patch-inc_toast.h